运行Python代码时报ImportError: urllib3 v2.0 only supports OpenSSL 1.1.1+, current错误

在运行一段Python代码时,报如下的错误:

"urllib3 v2.0 only supports OpenSSL 1.1.1+, currently "
ImportError: urllib3 v2.0 only supports OpenSSL 1.1.1+, currently the 'ssl' module is compiled with 'OpenSSL 1.0.2k-fips  26 Jan 2017'. See: https://github.com/urllib3/urllib3/issues/2168

这个问题,并没有得到完备有效的解决方案。自己在解决问题中,不断地尝试安装OpenSSL、Python和LibreSSL,最终不知道因为什么,环境搞定了,不再报这个错误。

等后续再遇到类似问题时,整理完备有效的解决方案。

  • 2024年04月01日,添加未得到完备解决方案的声明内容;
  • 2024年03月28日,添加错误记录

给TA打赏
共{{data.count}}人
人已打赏
X随记

Hello XSOFT.CC 2024

2024-3-21 8:00:00

X技术

文章功能,隐藏内容

2021-5-30 7:31:01

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索